@echo off
echo Setting MinIO bucket policy to public...

set MINIO_ENDPOINT=http://172.28.135.68:9000
set MINIO_ACCESS_KEY=admin
set MINIO_SECRET_KEY=123456789
set BUCKET_NAME=ruoyi

mc alias set myminio %MINIO_ENDPOINT% %MINIO_ACCESS_KEY% %MINIO_SECRET_KEY%
mc anonymous set download myminio/%BUCKET_NAME%

echo Bucket policy set to public successfully!
pause
